> ## Documentation Index
> Fetch the complete documentation index at: https://landinglens.docs.landing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Deployment

> This endpoint creates a deployment, which is an instance for running a
model and performing predictions.

To create a deployment, you only need to provide a unique name. Upon
successful creation, the endpoint will return an HTTP URL where you can
send requests for predictions (also known as inferences).

The deployment name cannot be changed after creation.

Here's a breakdown of the deployment creation options:

**Model** (Optional): You can either:

- Provide the model data during deployment creation, making it ready to use
immediately.
- Upload a model to the deployment later and then use it for predictions.


**Threshold** (Optional):

- Specify a custom threshold value for your
predictions.
- If not provided, the default value used during model training will be
applied.



## OpenAPI

````yaml https://api.landing.ai/openapi.json post /v1/projects/{project_id}/deployments
openapi: 3.1.0
info:
  title: LandingLens API
  description: >

    **LandingLens API** is a RESTful API that allows you to use
    [LandingLens](https://app.landing.ai) programmatically.

    Our API has predictable resource-oriented URLs, returns JSON-encoded
    responses, and uses standard HTTP response codes, authentication, and verbs.


    You can use the LandingLens API to programmatically perform many tasks in
    LandingLens, including:

    * Create projects

    * Upload images to projects

    * Create classes

    * Train models

    * Deploy models to cloud-endpoints hosted by LandingAI (cloud deployment)


    ## Tutorial

    Check out this
    [tutorial](https://landing-ai.github.io/public-rest-api/tutorial/) to learn
    the basic workflow for using the LandingLens APIs.
  version: 0.1.0
servers:
  - url: https://api.landing.ai
    description: Production environment
security: []
paths:
  /v1/projects/{project_id}/deployments:
    post:
      tags:
        - Deployment
      summary: Create Deployment
      description: >-
        This endpoint creates a deployment, which is an instance for running a

        model and performing predictions.


        To create a deployment, you only need to provide a unique name. Upon

        successful creation, the endpoint will return an HTTP URL where you can

        send requests for predictions (also known as inferences).


        The deployment name cannot be changed after creation.


        Here's a breakdown of the deployment creation options:


        **Model** (Optional): You can either:


        - Provide the model data during deployment creation, making it ready to
        use

        immediately.

        - Upload a model to the deployment later and then use it for
        predictions.



        **Threshold** (Optional):


        - Specify a custom threshold value for your

        predictions.

        - If not provided, the default value used during model training will be

        applied.
      operationId: create_deployment_v1_projects__project_id__deployments_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: integer
            title: Project Id
        - name: timeout
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 60
            title: Timeout
        - name: apikey
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Apikey
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeploymentInput'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse_DeploymentItem_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeploymentInput:
      properties:
        name:
          type: string
          title: Name
        modelId:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Modelid
        threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Threshold
      type: object
      required:
        - name
      title: DeploymentInput
    BaseResponse_DeploymentItem_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/DeploymentItem'
            - type: 'null'
      type: object
      required:
        - data
      title: BaseResponse[DeploymentItem]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeploymentItem:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        predictionUrl:
          type: string
          title: Predictionurl
        name:
          type: string
          title: Name
        modelId:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Modelid
        threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Threshold
      type: object
      required:
        - id
        - predictionUrl
        - name
      title: DeploymentItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````